Subject: Packages enki and aseba fail. Organizations behind software restructured

From: Björn Höfling <[email-masked]>
Date: Thu, 28 Jun 2018 09:22:43 +0200

I saw that enki fails due to Qt 5.11.

I can heal that with going to the newest commit in the source
repository (we fetch from git anyway). Simple patch attached.

But the package has little use on its own and then we have the same
problem with aseba and I wasn't able to heal that with just going to
the latest commit. There are other problems, and I didn't want to
invest too much time into that package.

Note that aseba doesn't have a good build history anyway:

https://hydra.gnu.org/job/gnu/master/aseba-1.6.0-0.3b35de8.x86_64-linux/all
https://hydra.gnu.org/job/gnu/master/aseba-1.6.0-0.3b35de8.i686-linux/all
https://hydra.gnu.org/job/gnu/master/aseba-1.6.0-0.3b35de8.armhf-linux

Anyone using it?

General note:

As far as I know, this package is here for the Thymio robot, not for
the asaba Framework as such.

In spring 2018, Mobsya (the organisation behind Thymio) decided to go
their own way, because they don't have the capacity to maintain the
whole aseba framework as such. Maintainer wanted for the old aseba
project. See this announcement for more details:

https://github.com/aseba-community/aseba#thymio-and-mobsya-fork
https://docs.google.com/document/d/1ijY2dZR2TbSySMqFfbCgG_ifZPGoxrAQaVuZVQZHKlY/edit#

So, in the long term, we should base the package definition on their
repository:

https://github.com/Mobsya/aseba

They don't have a released version yet. And they pull in a lot more
dependencies via git.

Björn
From 7d82019cbafa4d826a294c677515dafa7249d72a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Bj=C3=B6rn=20H=C3=B6fling?=
 <[email-masked]>
Date: Tue, 26 Jun 2018 22:10:32 +0200
Subject: [PATCH 2/3] gnu: enki: Update to newest git revision.

* gnu/packages/robotics.scm (enki): Update to newest git revision: e4b49dc.
---
 gnu/packages/robotics.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/robotics.scm b/gnu/packages/robotics.scm
index 389bb5a02..5f51dbfaf 100644
--- a/gnu/packages/robotics.scm
+++ b/gnu/packages/robotics.scm
@@ -35,8 +35,8 @@
 
 (define-public enki
   ;; Previous versions use Qt4 and are unsuitable for Aseba.
-  (let ((commit "afd2d8e2f91c095f6745505ca1f32f31ea874200")
-        (revision "0"))
+  (let ((commit "e4b49dc3c166f01e27fd5571ff5cb7056ea4a0d2")
+        (revision "1"))
     (package
       (name "enki")
       (version (git-version "2.0pre" revision commit))
@@ -46,7 +46,7 @@
                 (uri (git-reference (url home-page) (commit commit)))
                 (sha256
                  (base32
-                  "1d1901zzsfml97hb4mb3ah3ab1bk4kh7bn6m7xrj1rv0gk9wkhq7"))
+                  "157qxl5mpiiv1s4vnglbz8r7v1z6mhqgbsly1j3cby2qh29553q4"))
                 (file-name (string-append name "-" version "-checkout"))))
       (build-system cmake-build-system)
       (arguments
-- 
2.17.1